from agent.models import UserAgentStorage


class UANotingMiddleware:
    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        response = self.get_response(request)
        if request.user.is_authenticated:
            try:
                ua = UserAgentStorage.objects.get(user=request.user)
                ua.ua = request.headers.get('User-Agent')
            except UserAgentStorage.DoesNotExist:
                ua = UserAgentStorage(user=request.user, ua=request.headers.get('User-Agent'))
            ua.save()

        return response
