from django.db import models


class StoryOfADay(models.Model):
    day = models.DateField(verbose_name='Date', primary_key=True)
    links = models.IntegerField(verbose_name='Links visited')
    files = models.IntegerField(verbose_name='Files visited')

    def __hash__(self):
        return hash(self.day)

    def __eq__(self, other):
        if isinstance(other, StoryOfADay):
            other = other.day
        return self.day == other
